Bug 1392309 - Review Request: python-os-faults - OpenStack fault-injection library
Summary: Review Request: python-os-faults - OpenStack fault-injection library
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: RDO
Classification: Community
Component: Package Review
Version: trunk
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: trunk
Assignee: Javier Peña
QA Contact: Javier Peña
URL:
Whiteboard:
Depends On:
Blocks: RDO-OCATA 1400278
TreeView+ depends on / blocked
 
Reported: 2016-11-07 07:32 UTC by Chandan Kumar
Modified: 2017-06-22 15:37 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1400278 (view as bug list)
Environment:
Last Closed: 2017-06-22 15:37:12 UTC


Attachments (Terms of Use)

Description Chandan Kumar 2016-11-07 07:32:40 UTC
Spec URL: https://chandankumar.fedorapeople.org/python-os-faults.spec
SRPM URL: https://chandankumar.fedorapeople.org/python-os-faults-0.1.5-1.fc24.src.rpm
Description: OSFaults **OpenStack faultinjection library**The library does destructive
actions inside an OpenStack cloud. It provides an abstraction layer over
different types of cloud deployments. The actions are implemented as drivers
(e.g. DevStack driver, Fuel driver, Libvirt driver, IPMI driver).

Fedora Account System Username: chandankumar

Successful Koji Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=16332027

Comment 1 Javier Peña 2016-11-07 09:15:54 UTC
Hi Chandan,

Some initial comments on the review:

- There is no python-ansible package, it is called ansible.
- For consistency, please rename the python-os-faults-libvirt subpackage to python2-os-faults-libvirt.
- As a nitpick, the %description field for subpackages only includes the generic os-faults description, but nothing specific to the subpackage itself. It would be nice to add a line about each.

Comment 2 Chandan Kumar 2016-11-07 10:02:37 UTC
Hello Jpena,

Thanks for the review.
All the above comments are fixed.
Here is the updated
SPEC file: https://chandankumar.fedorapeople.org/python-os-faults.spec
SRPM: https://chandankumar.fedorapeople.org/python-os-faults-0.1.5-2.fc24.src.rpm
and successful Koji Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=16333391

Thanks,

Chandan Kumar

Comment 4 Javier Peña 2016-11-07 10:57:27 UTC
We still have two issues (see rpmlint section below):

- The libvirt compiled files end up in the wrong subpackage. You just need to change the following:

%exclude %{python2_sitelib}/%{pypi_name}/drivers/libvirt_driver.py*

%files -n python2-%{sname}-libvirt
%license LICENSE
%{python2_sitelib}/%{pypi_name}/drivers/libvirt_driver.py*

And the same applies to the python3 subpackage.

- Also, the generated rpms fail to install because they require a newer version of python-pyghmi (>= 1.0.3) than available in the repo (0.8.0). We'll need to get a newer dependency or remove the version from the requirement, although I'm afraid the latter will cause issues down the road.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "Unknown or generated", "*No copyright* Apache
     (v2.0)". 9 files have unknown license. Detailed output of licensecheck
     in /tmp/1392309-python-os-faults/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in python2
     -os-faults , python2-os-faults-libvirt , python2-os-faults-tests ,
     python-os-faults-doc
[!]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.2.21 starting (python version = 3.5.1)...
Start: init plugins
INFO: tmpfs initialized
INFO: selinux enabled
Finish: init plugins
Start: run
Start: chroot init
INFO: mounting tmpfs at /var/lib/mock/fedora-rawhide-x86_64/root.
INFO: reusing tmpfs at /var/lib/mock/fedora-rawhide-x86_64/root.
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
Mock Version: 1.2.21
INFO: Mock Version: 1.2.21
Finish: chroot init
INFO: installing package(s): /tmp/1392309-python-os-faults/results/python2-os-faults-libvirt-0.1.5-3.fc26.noarch.rpm /tmp/1392309-python-os-faults/results/python2-os-faults-0.1.5-3.fc26.noarch.rpm /tmp/1392309-python-os-faults/results/python-os-faults-doc-0.1.5-3.fc26.noarch.rpm /tmp/1392309-python-os-faults/results/python2-os-faults-tests-0.1.5-3.fc26.noarch.rpm
ERROR: Command failed. See logs for output.
 # /usr/bin/dnf --installroot /var/lib/mock/fedora-rawhide-x86_64/root/ --releasever 26 --disableplugin=local --setopt=deltarpm=false install /tmp/1392309-python-os-faults/results/python2-os-faults-libvirt-0.1.5-3.fc26.noarch.rpm /tmp/1392309-python-os-faults/results/python2-os-faults-0.1.5-3.fc26.noarch.rpm /tmp/1392309-python-os-faults/results/python-os-faults-doc-0.1.5-3.fc26.noarch.rpm /tmp/1392309-python-os-faults/results/python2-os-faults-tests-0.1.5-3.fc26.noarch.rpm --setopt=tsflags=nocontexts


Rpmlint
-------
Checking: python2-os-faults-0.1.5-3.fc26.noarch.rpm
          python2-os-faults-libvirt-0.1.5-3.fc26.noarch.rpm
          python2-os-faults-tests-0.1.5-3.fc26.noarch.rpm
          python-os-faults-doc-0.1.5-3.fc26.noarch.rpm
          python-os-faults-0.1.5-3.fc26.src.rpm
python2-os-faults.noarch: W: spelling-error %description -l en_US faultinjection -> fault injection, fault-injection, interjection
python2-os-faults.noarch: W: python-bytecode-without-source /usr/lib/python2.7/site-packages/os_faults/drivers/libvirt_driver.pyo
python2-os-faults.noarch: W: python-bytecode-without-source /usr/lib/python2.7/site-packages/os_faults/drivers/libvirt_driver.pyc
python2-os-faults.noarch: W: no-manual-page-for-binary os-inject-fault-2.7
python2-os-faults.noarch: W: no-manual-page-for-binary os-inject-fault-2
python2-os-faults.noarch: W: no-manual-page-for-binary os-inject-fault
python2-os-faults-libvirt.noarch: W: spelling-error %description -l en_US faultinjection -> fault injection, fault-injection, interjection
python2-os-faults-libvirt.noarch: W: no-documentation
python2-os-faults-tests.noarch: W: spelling-error %description -l en_US faultinjection -> fault injection, fault-injection, interjection
python2-os-faults-tests.noarch: W: spelling-error %description -l en_US unittests -> unit tests, unit-tests, unites
python2-os-faults-tests.noarch: W: no-documentation
python-os-faults-doc.noarch: W: summary-not-capitalized C os_faults documentation
python-os-faults-doc.noarch: W: spelling-error %description -l en_US faultinjection -> fault injection, fault-injection, interjection
python-os-faults.src: W: spelling-error %description -l en_US faultinjection -> fault injection, fault-injection, interjection
5 packages and 0 specfiles checked; 0 errors, 14 warnings.




Requires
--------
python-os-faults-doc (rpmlib, GLIBC filtered):

python2-os-faults (rpmlib, GLIBC filtered):
    /usr/bin/python
    /usr/bin/python2
    PyYAML
    ansible
    python(abi)
    python-appdirs
    python-iso8601
    python-jsonschema
    python-oslo-i18n
    python-oslo-serialization
    python-oslo-utils
    python-pbr
    python-pyghmi
    python-setuptools
    python-six

python2-os-faults-tests (rpmlib, GLIBC filtered):
    pytest
    python(abi)
    python-coverage
    python-ddt
    python-mock
    python-oslotest
    python-subunit
    python-testrepository
    python-testscenarios
    python-testtools
    python2-os-faults

python2-os-faults-libvirt (rpmlib, GLIBC filtered):
    python(abi)
    python-libvirt
    python2-os-faults



Provides
--------
python-os-faults-doc:
    python-os-faults-doc

python2-os-faults:
    python-os-faults
    python2-os-faults
    python2.7dist(os-faults)
    python2dist(os-faults)

python2-os-faults-tests:
    python2-os-faults-tests

python2-os-faults-libvirt:
    python2-os-faults-libvirt



Source checksums
----------------
https://tarballs.openstack.org/os-faults/os_faults-0.1.5.tar.gz :
  CHECKSUM(SHA256) this package     : db9c8eda6dee10d3b73ddd7432f128f6463eadcbefa012749da779ac3077d6f9
  CHECKSUM(SHA256) upstream package : db9c8eda6dee10d3b73ddd7432f128f6463eadcbefa012749da779ac3077d6f9


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1392309 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 6 Javier Peña 2016-11-10 16:31:23 UTC
Chandan, could you upload a final spec and srpm based on the version merged in https://github.com/rdo-packages/os-faults-distgit ? With that, I'll prepare the final fedora-review report.

Comment 7 Christopher Brown 2017-06-22 15:37:12 UTC
This package landed so closing.


Note You need to log in before you can comment on or make changes to this bug.